import 'dart:ui';

class ColorStyles {
  static const lightest = Color(0xFFFFFFFF);
  static const neutralLighest = Color(0xFFF2F2F8);
  static const neutralLight = Color(0xFFD4D6E2);
  static const neutralMedium = Color(0xFF6F7590);
  static const neutralDark = Color(0xFF434661);
  static const neutralDarkest = Color(0xFF2F334B);
  static const black = Color(0xFF000000);

  static const brandColorLightest = Color(0xFFF7F3FC);
  static const brandColorLight = Color(0xFFEBDDFD);
  static const brandColorPure = Color(0xFF6C40BF);
  static const brandColorDark = Color(0xFF593996);
  static const brandColorDarkest = Color(0xFF392267);

  static const highlight1ColorLightest = Color(0xFFF7FFD9);
  static const highlight1ColorLight = Color(0xFFDAFF6C);
  static const highlight1ColorPure = Color(0xFFBFE338);
  static const highlight1ColorDark = Color(0xFF86A310);
  static const highlight1ColorDarkest = Color(0xFF272F02);

  static const highlight2ColorLightest = Color(0xFFFDE7F1);
  static const highlight2ColorLight = Color(0xFFF6C3D8);
  static const highlight2ColorPure = Color(0xFFF5A0C5);
  static const highlight2ColorDark = Color(0xFFBF4079);
  static const highlight2ColorDarkest = Color(0xFF4D293C);

  static const highlight3ColorLight = Color(0xFFFFFCEB);
  static const highlight3ColorPure = Color(0xFFF4D757);
  static const highlight3ColorDark = Color(0xFF7B7644);

  static const positiveColorLight = Color(0xFFEDFCF4);
  static const positiveColorPure = Color(0xFF138647);
  static const positiveColorDark = Color(0xFF0A4726);

  static const negativeColorLight = Color(0xFFFEEBED);
  static const negativeColorPure = Color(0xFFD0434F);
  static const negativeColorDark = Color(0xFF4F0208);
}
